<form rxapForm>
  <div fxLayout="column" fxLayoutGap="4px">
    <rxap-rating-control
      data-cy="form.edit-review.rating"
      formControlName="rating"
      fxFlex="nogrow"
    >
      <ng-container i18n>Rating</ng-container>
    </rxap-rating-control>
    <mat-form-field data-cy="form.edit-review.dateOfVisit" fxFlex="nogrow">
      <mat-label i18n>DateOfVisit</mat-label>
      <input
        [matDatepicker]="dateOfVisitPicker"
        formControlName="dateOfVisit"
        matInput
        rxapRequired
      />

      <mat-datepicker-toggle
        [for]="dateOfVisitPicker"
        matSuffix
      ></mat-datepicker-toggle>

      <mat-datepicker #dateOfVisitPicker></mat-datepicker>
      <mat-error
        *rxapControlError="let error; key: 'required'"
        data-cy="error.required"
      >
        <ng-container i18n>Please enter a value</ng-container>
      </mat-error
      >
    </mat-form-field>
    <mat-form-field data-cy="form.edit-review.comment" fxFlex="nogrow">
      <mat-label i18n>Comment</mat-label>
      <textarea
        [mat-autosize]="true"
        [matAutosizeMinRows]="3"
        formControlName="comment"
        i18n-placeholder
        matInput
        placeholder="Enter comment"
        rxapRequired
      >
      </textarea>
      <mat-error
        *rxapControlError="let error; key: 'required'"
        data-cy="error.required"
      >
        <ng-container i18n>Please enter a value</ng-container>
      </mat-error
      >
    </mat-form-field>
  </div>
  <ng-template let-windowRef rxapFormWindowFooter>
    <rxap-form-controls
      (close)="windowRef.complete()"
      (submitted)="windowRef.next($event)"
    ></rxap-form-controls>
  </ng-template>
</form>
